#+BEGIN_COMMENT
.. title: GTK-3 Treeview in treestore mode
.. slug: 10-treeview-treestore-mode
.. date: 2014-04-14 12:00:00 UTC
.. tags: GTK-3, python, widgets
.. category: python
.. description: Load a glade file displaying a collection of values in a treeview using the treestore hierarchy.
.. type: text
#+END_COMMENT

#+CAPTION: Treeview in tree mode
[[../../../images/gtk/tut10-treeview-treestore.png]]


class page:
    name = __name__
    title = 'GTK3 Treeview in treestore mode'
    tags = 'GTK3', 'Python', 'treestore', 'treeview'
    intro = ''
    date = '2014-04-14'
    path = os.path.abspath('./')
    image = web.template.path_image + 'gtk/tut10-treeview-treestore.png'

    def create_content(self):
        web.images.create(self.image, title='GTK Window')
        web.page.section(
            web.div.create(
                web.images.render()
            ).set_classes('sources').render()
        )

        web.paragraph.create("""The code below will populate the treeview widget with a tree like structure which you can expand and collapse, double clicking will retrieve the selected node in the tree. """)
        web.page.section(web.paragraph.render())

        web.pre.create(load(os.path.abspath('./content/gtk3/tut10/tut10-treeview-treestore.py')))
        web.page.section(web.pre.render())

